# Uses of Class
org.astrogrid.samp.httpd.HttpServer

Packages that use HttpServer
Package
Description
org.astrogrid.samp.httpd
Standalone HTTP server.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of HttpServer in org.astrogrid.samp.httpd

Methods in org.astrogrid.samp.httpd that return HttpServer
Modifier and Type
Method
Description
`HttpServer`
UtilServer.`getServer()`
Returns the HttpServer associated with this object.
Constructors in org.astrogrid.samp.httpd with parameters of type HttpServer
Modifier
Constructor
Description
``
`MultiURLMapperHandler(HttpServer server, String basePath)`
Constructor.
``
`ResourceHandler(HttpServer server, String basePath)`
Constructor.
``
`URLMapperHandler(HttpServer server, String basePath, URL sourceUrl, boolean includeRelatives)`
Constructor.
``
`UtilServer(HttpServer server)`
Constructor.

## Uses of HttpServer in org.astrogrid.samp.web

Subclasses of HttpServer in org.astrogrid.samp.web
Modifier and Type
Class
Description
`class`
`CorsHttpServer`
HttpServer which allows or rejects cross-origin access according to the W3C Cross-Origin Resource Sharing standard.
`class`
`LoggingCorsHttpServer`
CorsHttpServer subclass which performs logging to a given print stream at the HTTP level.

## Uses of HttpServer in org.astrogrid.samp.xmlrpc.internal

Methods in org.astrogrid.samp.xmlrpc.internal that return HttpServer
Modifier and Type
Method
Description
`HttpServer`
InternalServer.`getHttpServer()`
Returns the HTTP server hosting this XML-RPC server.
Constructors in org.astrogrid.samp.xmlrpc.internal with parameters of type HttpServer
Modifier
Constructor
Description
``
`InternalServer(HttpServer httpServer, String path)`
Constructor based on a given HTTP server.
``
`RpcLoggingInternalServer(HttpServer server, String path, PrintStream out)`
Constructor based on a given HTTP server.
``
`XmlLoggingInternalServer(HttpServer server, String path, PrintStream out)`
Constructor based on a given HTTP server.